local _, namespace = ...

local L = setmetatable({

--New/Changed -- Needs to be uploaded to curseforge for translations

["BUFF_FRAME"] = "Buff Frame",
["DEBUFF_FRAME"] = "Debuff Frame",
["UP"] = "Up",
["DOWN"] = "Down",
["BUFFS"] = "Buffs", 
["DEBUFFS"] = "Debuffs",


["MESSAGE"] = "Message",
["TIMER"] = "Timer",
["NOTIFICATION"] = "Notification",
["MONITOR"] = "Monitor",
["TRACKER"] = "Tracker",
["SCALE"] = "Scale",
["ENABLE"] = "Enable",
["RELOADUI"] = "Buff Buddy Needs To Reload \nThe UI To Finish Making Changes.",
["SLASH"] = "Buff Buddy Slash Commands:\n/bb => Options Menu \n/buffbuddy => Options Menu",
["COOLDOWN_TIMER"] = "Show Cooldown Timer",


--Options Menu--
["LOCK_FRAMES"] = "Lock Frames",
["HIDE_FRAMES"] = "Hide Buffs/Debuffs When Not In Combat",
["MOVE_FRAMES"] = "Move Frames",
["TEST"] = "Test",
["LOAD"] = "Load",
["DELETE_WARNING"] = "Are You Sure You Want To Delete \n This Profile? \n\n ",
["PROFILE"] = "Profile - ",
["PROFILE_NOT_FOUND"] = "Profile Not Found: ",
["PROFILE_LOADED"] = "Profile Loaded: ",
["PROFILE_CREATED"] = "Profile Created: ",
["PROFILE_SAVED"] = "Profile Saved: ",
["PROFILE_DELETED"] = "Profile Deleted: ",
["PROFILE_ALREADY_EXISTS"] = "A Profile With That Name Already Exists",
["BAD_PROFILE_NAME"] = "Please Enter A Profile Name",
["DEFAULTS_WARNING"] = "Warning!!! This Will Reset All \nSettings In The Loaded Profile \nBack To The Defaults. \nAre You Sure?",
["ENABLE_SOUND_EFFECT"] = "Enable Sound",
["SOUND_EFFECT_TOOLTIP"] = "If you want to change the sound effect, simply \nreplace the sound file of equal name in the \nsounds folder with the sound effect you prefer.\n(The new sound file must have the same name \nas the old one, and you will need to restart the game)",
["NOTIFICATIONS"] = "Notifications",
["PLAY_ANIMATION"] = "Play Animation",
["TIMERS"] = "Timers",
["ENTRY_ADDED"] = "Entry Added",
["ENTRY_DELETED"] = "Entry Deleted", 
["ENTRY_ALREADY_EXISTS"] = "Entry Already Exists",
["BAD_ENTRY_NAME"] = "Spell Not Found. If The Spell Is Not From Your Class, Please Enter The Spell ID(Number).",
["BUFF_PRIORITY_LIST"] = "Buff Priority List",
["DEBUFF_PRIORITY_LIST"] = "Debuff Priority List",
["XOFFSET"] = "X Offset",
["YOFFSET"] = "Y Offset",
["DONT_FORGET_TO_LOCK"] = "Don't Forget To Lock The Frames When You Are Done, Or Your Buffs Wont Update.",
["PER_ROW"] = "Per Row",
["VERTICAL_SPACING"] = "Vertical Spacing",
["HORIZONTAL_SPACING"] = "Horizontal Spacing",
["LEFT_TO_RIGHT"] = "Show Left To Right",
["NEW_ROW_UP"] = "Put New Rows On Top",
---


}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE:match("^en") then
return end

if LOCALE == "deDE" then
	-- German translations go here

return end

if LOCALE == "frFR" then
	-- French translations go here

return end

if LOCALE == "esES" or LOCALE == "esMX" then
	-- Spanish translations go here
	
return end

if LOCALE == "ptBR" then
	-- Brazilian Portuguese translations go here

return end

if LOCALE == "ruRU" then
	-- Russian translations go here

return end

if LOCALE == "koKR" then
	-- Korean translations go here

return end

if LOCALE == "zhCN" then
	-- Simplified Chinese translations go here

return end

if LOCALE == "zhTW" then
	-- Traditional Chinese translations go here

return end